Subject: Re: bug#21145: 24.4; package update gives tls errors

From: Rustom Mody <[email-masked]>
Date: Tue, 28 Jul 2015 16:51:16 +0530

On Tue, Jul 28, 2015 at 3:42 PM, Eli Zaretskii <[email-masked]> wrote:
>> From: Rustom Mody <[email-masked]>
>> Date: Tue, 28 Jul 2015 08:29:56 +0530
>>
>> Start emacs with -Q
>> Run (package-initialize)
>> Run (add-to-list 'package-archives
>>              '("marmalade" . "https://marmalade-repo.org/packages/") t)
>> Run M-x package-list-packages
>>
>> Get error
>> gnutls.c: [0] (Emacs) fatal error: The TLS connection was non-properly
>> terminated.
>>
>> Some info from ldconfig -v|grep libgnutls
>>
>>     libgnutls-deb0.so.28 -> libgnutls-deb0.so.28.41.0
>> /sbin/ldconfig.real: /lib/x86_64-linux-gnu/ld-2.21.so is the dynamic
>> linker, ignoring
>>
>>     libgnutls-openssl.so.27 -> libgnutls-openssl.so.27.0.2
>>     libgnutls-deb0.so.28 -> libgnutls-deb0.so.28.41.0
>
> I cannot reproduce this on my system (not on Ubuntu) with the same
> version of GnuTLS.  I get a listing of packages, including those from
> marmalade, as expected.

I also get the listing (from marmalade)
>
> I suspect some problem specific to your site or Internet connection,
> or perhaps some Ubuntu-specific issue.

Well its a well-known problem
see https://github.com/nicferrier/elmarmalade/issues/55
Also bug 16253 http://lists.gnu.org/archive/html/bug-gnu-emacs/2014-01/msg00358.html

Was just informing that it continues to exist

-- 
http://www.the-magus.in
http://blog.languager.org